/*
 *   This file is part of pls4snp.
 *
 *   pls4snp is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   pls4snp is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with pls4snp; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *   Copyright 2013 Olivier Filangi
 *
 */

/*
 * CalculDataGen.h
 *
 *  Created on: 4 mars 2013
 *      Author: ofilangi
 *
 */

#ifndef CALCULDATAGEN_H_
#define CALCULDATAGEN_H_

#include "common.hpp"
#include "dataGen.hpp"

class CalculDataGen {
public:
	CalculDataGen();
	virtual ~CalculDataGen();

	static void scaleWithEDC(dataGen & data) ;
	static DT correlation_edc(DT * Ypredict,const dataGen & data_ap,string name);
	static DT correlation(DT * Ypredict,DT * Y,int n);
};

#endif /* CALCULDATAGEN_H_ */
